#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvKmsKapiGetFunctionsTable, "", "");
KSYMTAB_FUNC(nvKmsKapiF16ToF32, "", "");
KSYMTAB_FUNC(nvKmsKapiF32ToF16, "", "");
KSYMTAB_FUNC(nvKmsKapiF32Mul, "", "");
KSYMTAB_FUNC(nvKmsKapiF32Div, "", "");
KSYMTAB_FUNC(nvKmsKapiF32Add, "", "");
KSYMTAB_FUNC(nvKmsKapiF32ToUI32RMinMag, "", "");
KSYMTAB_FUNC(nvKmsKapiUI32ToF32, "", "");

SYMBOL_CRC(nvKmsKapiGetFunctionsTable, 0x96c1aaa0, "");
SYMBOL_CRC(nvKmsKapiF16ToF32, 0x5bf8ab0d, "");
SYMBOL_CRC(nvKmsKapiF32ToF16, 0x5312b4e7, "");
SYMBOL_CRC(nvKmsKapiF32Mul, 0x034b05b8, "");
SYMBOL_CRC(nvKmsKapiF32Div, 0x661c5342, "");
SYMBOL_CRC(nvKmsKapiF32Add, 0xaf4cf778, "");
SYMBOL_CRC(nvKmsKapiF32ToUI32RMinMag, 0x2aaaa051, "");
SYMBOL_CRC(nvKmsKapiUI32ToF32, 0x6137753d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb807e274, "filp_open" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xfee421c2, "param_ops_uint" },
	{ 0xabd9014b, "backlight_device_unregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x1eea883f, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x47bb6caf, "fget" },
	{ 0xcf2a6966, "up" },
	{ 0x8c392670, "proc_mkdir_mode" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf17565f7, "pcpu_hot" },
	{ 0xc4d0d921, "seq_lseek" },
	{ 0x2a4851ac, "proc_create_data" },
	{ 0x45b61916, "acpi_video_register_backlight" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf12dbe31, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x193c3c08, "nvidia_get_rm_ops" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x227568b9, "cdev_add" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd814eaa, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x9166fada, "strncpy" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xe84e9349, "kthread_stop" },
	{ 0xebfde98d, "freezing_slow_path" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x9242717e, "param_ops_charp" },
	{ 0x394d215d, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9b7cb4ae, "proc_remove" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7cebe7a9, "kthread_create_on_node" },
	{ 0xeef13c04, "seq_read" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x8a96c7e2, "param_ops_bool" },
	{ 0x8001aba1, "filp_close" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xbc8b9b8b, "backlight_device_register" },
	{ 0x3bbeac2, "__acpi_video_get_backlight_type" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc1e787ae, "seq_puts" },
	{ 0x41929bec, "single_release" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x876e85dd, "kmalloc_trace" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x754d539c, "strlen" },
	{ 0xfcfb550a, "param_ops_int" },
	{ 0x95f166a4, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf678ea50, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf9aa96e3, "kmalloc_caches" },
	{ 0xb24687ff, "cdev_del" },
	{ 0x1fa0eaff, "module_layout" },
};

MODULE_INFO(depends, "video,nvidia");


MODULE_INFO(srcversion, "10A979EDEE9A792A0EFA53C");
MODULE_INFO(rhelversion, "9.7");
