#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvidia_p2p_init_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_destroy_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_pages_persistent, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_free_page_table, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_pages_persistent, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_dma_map_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_dma_unmap_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_free_dma_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_register_rsync_driver, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_unregister_rsync_driver, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_rsync_registers, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_rsync_registers, "_gpl", "");
KSYMTAB_FUNC(nvidia_get_rm_ops, "_gpl", "");
KSYMTAB_FUNC(nvidia_register_error_cb, "", "");
KSYMTAB_FUNC(nvidia_unregister_error_cb, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRegisterGpu, "", "");
KSYMTAB_FUNC(nvUvmInterfaceUnregisterGpu, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSessionCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSessionDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeviceCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeviceDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupAddressSpace, "", "");
KSYMTAB_FUNC(nvUvmInterfaceAddressSpaceCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceAddressSpaceDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryAllocFB, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryAllocSys, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetP2PCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetPmaObject, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaRegisterEvictionCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaUnregisterEvictionCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaAllocPages, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaPinPages, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryFree, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaFreePages, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryCpuMap, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryCpuUnMap, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTsgAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTsgDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceChannelAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceChannelDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceQueryCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceQueryCopyEnginesCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetGpuInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceServiceDeviceInterruptsRM, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSetPageDirectory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceUnsetPageDirectory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupAllocation, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupMemory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceFreeDupedHandle, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetFbInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetEccInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceOwnPageFaultIntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceInitFaultInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceInitAccessCntrInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceEnableAccessCntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDestroyFaultInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceHasPendingNonReplayableFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetNonReplayableFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceFlushReplayableFaultBuffer, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTogglePrefetchFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDestroyAccessCntrInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDisableAccessCntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRegisterUvmCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeRegisterUvmOps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetNvlinkInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceP2pObjectCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceP2pObjectDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetExternalAllocPtes, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetExternalAllocPhysAddrs, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRetainChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceBindChannelResources, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReleaseChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceStopChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetChannelResourcePtes, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReportNonReplayableFault, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelsMap, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelsUnmap, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelPushStream, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReportFatalError, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslInitContext, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeinitCslContext, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslRotateKey, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslRotateIv, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslEncrypt, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslDecrypt, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslSign, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslQueryMessagePool, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslIncrementIv, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslLogEncryption, "", "");

SYMBOL_CRC(nvidia_p2p_init_mapping, 0x45bb0ad7, "_gpl");
SYMBOL_CRC(nvidia_p2p_destroy_mapping, 0x180f4b6a, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_pages, 0x5b3f3e79, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_pages_persistent, 0x970adefe, "_gpl");
SYMBOL_CRC(nvidia_p2p_free_page_table, 0xf42ca687, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_pages, 0x642487ac, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_pages_persistent, 0xacdf3914, "_gpl");
SYMBOL_CRC(nvidia_p2p_dma_map_pages, 0x663e4125, "_gpl");
SYMBOL_CRC(nvidia_p2p_dma_unmap_pages, 0x6380ff11, "_gpl");
SYMBOL_CRC(nvidia_p2p_free_dma_mapping, 0xf1fdddc1, "_gpl");
SYMBOL_CRC(nvidia_p2p_register_rsync_driver, 0xc77d4353, "_gpl");
SYMBOL_CRC(nvidia_p2p_unregister_rsync_driver, 0x898dc593, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_rsync_registers, 0x3106b63e, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_rsync_registers, 0x5fb6b076, "_gpl");
SYMBOL_CRC(nvidia_get_rm_ops, 0x193c3c08, "_gpl");
SYMBOL_CRC(nvidia_register_error_cb, 0xdb7cf4f8, "");
SYMBOL_CRC(nvidia_unregister_error_cb, 0x03d46922, "");
SYMBOL_CRC(nvUvmInterfaceRegisterGpu, 0xb59fbbfc, "");
SYMBOL_CRC(nvUvmInterfaceUnregisterGpu, 0xaa9c1109, "");
SYMBOL_CRC(nvUvmInterfaceSessionCreate, 0xbd9bc90d, "");
SYMBOL_CRC(nvUvmInterfaceSessionDestroy, 0xc3385e21, "");
SYMBOL_CRC(nvUvmInterfaceDeviceCreate, 0x972eb9e1, "");
SYMBOL_CRC(nvUvmInterfaceDeviceDestroy, 0x78ba08fc, "");
SYMBOL_CRC(nvUvmInterfaceDupAddressSpace, 0xb000909e, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceCreate, 0xe701a2bb, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceDestroy, 0xa62da25a, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocFB, 0x7f03ef2d, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocSys, 0x698f6a77, "");
SYMBOL_CRC(nvUvmInterfaceGetP2PCaps, 0x0aa90502, "");
SYMBOL_CRC(nvUvmInterfaceGetPmaObject, 0x525172f0, "");
SYMBOL_CRC(nvUvmInterfacePmaRegisterEvictionCallbacks, 0x90df6793, "");
SYMBOL_CRC(nvUvmInterfacePmaUnregisterEvictionCallbacks, 0x30aeb11d, "");
SYMBOL_CRC(nvUvmInterfacePmaAllocPages, 0x04ca663e, "");
SYMBOL_CRC(nvUvmInterfacePmaPinPages, 0xccdb149b, "");
SYMBOL_CRC(nvUvmInterfaceMemoryFree, 0xd5057c22, "");
SYMBOL_CRC(nvUvmInterfacePmaFreePages, 0x0ffab807, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuMap, 0x55b4744b, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuUnMap, 0x4d7a107f, "");
SYMBOL_CRC(nvUvmInterfaceTsgAllocate, 0x71de450f, "");
SYMBOL_CRC(nvUvmInterfaceTsgDestroy, 0xe45112d9, "");
SYMBOL_CRC(nvUvmInterfaceChannelAllocate, 0xb783c89d, "");
SYMBOL_CRC(nvUvmInterfaceChannelDestroy, 0xcd40176d, "");
SYMBOL_CRC(nvUvmInterfaceQueryCaps, 0x9a138db2, "");
SYMBOL_CRC(nvUvmInterfaceQueryCopyEnginesCaps, 0xeb1a59ab, "");
SYMBOL_CRC(nvUvmInterfaceGetGpuInfo, 0xdf8b46ca, "");
SYMBOL_CRC(nvUvmInterfaceServiceDeviceInterruptsRM, 0x19f28917, "");
SYMBOL_CRC(nvUvmInterfaceSetPageDirectory, 0x534759f3, "");
SYMBOL_CRC(nvUvmInterfaceUnsetPageDirectory, 0x4bc0e431, "");
SYMBOL_CRC(nvUvmInterfaceDupAllocation, 0x246cbff7, "");
SYMBOL_CRC(nvUvmInterfaceDupMemory, 0xd18cb4c2, "");
SYMBOL_CRC(nvUvmInterfaceFreeDupedHandle, 0x51f732db, "");
SYMBOL_CRC(nvUvmInterfaceGetFbInfo, 0xf1d38ffd, "");
SYMBOL_CRC(nvUvmInterfaceGetEccInfo, 0xa452244c, "");
SYMBOL_CRC(nvUvmInterfaceOwnPageFaultIntr, 0xd1600093, "");
SYMBOL_CRC(nvUvmInterfaceInitFaultInfo, 0x1138c8e8, "");
SYMBOL_CRC(nvUvmInterfaceInitAccessCntrInfo, 0xec03a88a, "");
SYMBOL_CRC(nvUvmInterfaceEnableAccessCntr, 0x425912fc, "");
SYMBOL_CRC(nvUvmInterfaceDestroyFaultInfo, 0x1ebf5deb, "");
SYMBOL_CRC(nvUvmInterfaceHasPendingNonReplayableFaults, 0x5b7e7949, "");
SYMBOL_CRC(nvUvmInterfaceGetNonReplayableFaults, 0xe49893bd, "");
SYMBOL_CRC(nvUvmInterfaceFlushReplayableFaultBuffer, 0xd9b60cd6, "");
SYMBOL_CRC(nvUvmInterfaceTogglePrefetchFaults, 0xbef3c5d7, "");
SYMBOL_CRC(nvUvmInterfaceDestroyAccessCntrInfo, 0x064a6a01, "");
SYMBOL_CRC(nvUvmInterfaceDisableAccessCntr, 0x7b23607e, "");
SYMBOL_CRC(nvUvmInterfaceRegisterUvmCallbacks, 0x9b02e313, "");
SYMBOL_CRC(nvUvmInterfaceDeRegisterUvmOps, 0x84ccfdfb, "");
SYMBOL_CRC(nvUvmInterfaceGetNvlinkInfo, 0x49f1262d, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectCreate, 0xf7419bbb, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectDestroy, 0xce96a1a4, "");
SYMBOL_CRC(nvUvmInterfaceGetExternalAllocPtes, 0x203a44d1, "");
SYMBOL_CRC(nvUvmInterfaceGetExternalAllocPhysAddrs, 0xafd0008b, "");
SYMBOL_CRC(nvUvmInterfaceRetainChannel, 0x9ad73756, "");
SYMBOL_CRC(nvUvmInterfaceBindChannelResources, 0xf82d8f8b, "");
SYMBOL_CRC(nvUvmInterfaceReleaseChannel, 0x43e66ecb, "");
SYMBOL_CRC(nvUvmInterfaceStopChannel, 0x27491fbc, "");
SYMBOL_CRC(nvUvmInterfaceGetChannelResourcePtes, 0x710977d6, "");
SYMBOL_CRC(nvUvmInterfaceReportNonReplayableFault, 0x69eb8138, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelAllocate, 0x89e0959d, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelDestroy, 0x892a63e7, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelsMap, 0x6fcca1a3, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelsUnmap, 0x36e57696, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelPushStream, 0x942fa6aa, "");
SYMBOL_CRC(nvUvmInterfaceReportFatalError, 0xe02a9acb, "");
SYMBOL_CRC(nvUvmInterfaceCslInitContext, 0xb759d51b, "");
SYMBOL_CRC(nvUvmInterfaceDeinitCslContext, 0x7f450da8, "");
SYMBOL_CRC(nvUvmInterfaceCslRotateKey, 0x85c7cadd, "");
SYMBOL_CRC(nvUvmInterfaceCslRotateIv, 0xd15a3e1c, "");
SYMBOL_CRC(nvUvmInterfaceCslEncrypt, 0x2c22b46f, "");
SYMBOL_CRC(nvUvmInterfaceCslDecrypt, 0x9ee2976a, "");
SYMBOL_CRC(nvUvmInterfaceCslSign, 0xc1f02f56, "");
SYMBOL_CRC(nvUvmInterfaceCslQueryMessagePool, 0x1b556dea, "");
SYMBOL_CRC(nvUvmInterfaceCslIncrementIv, 0x5d784826, "");
SYMBOL_CRC(nvUvmInterfaceCslLogEncryption, 0x7bfbe5eb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa05beafa, "pci_iounmap" },
	{ 0x2d8984fe, "iterate_fd" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf678ea50, "cdev_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x95b29073, "init_pid_ns" },
	{ 0x95f166a4, "single_open" },
	{ 0x7dde97d7, "pci_restore_state" },
	{ 0x6ed85f8d, "pci_enable_atomic_ops_to_root" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x12bb8bdb, "device_destroy" },
	{ 0xdc73af9, "boot_cpu_data" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x52d19b21, "module_put" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9493fc86, "node_states" },
	{ 0xf63f6f0b, "kmem_cache_alloc" },
	{ 0xc8fcff65, "hrtimer_start_range_ns" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xebfa3e1c, "vmf_insert_pfn_prot" },
	{ 0xd814eaa, "fput" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xcbbcba3b, "set_pages_array_wb" },
	{ 0x2bf87a5c, "pci_write_config_byte" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x876e85dd, "kmalloc_trace" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x69acdf38, "memcpy" },
	{ 0x937cc057, "pci_get_domain_bus_and_slot" },
	{ 0xce4d2ef4, "vmap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xedc03953, "iounmap" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb5a37ecc, "vga_set_legacy_decoding" },
	{ 0xa64cffc3, "pci_disable_device" },
	{ 0x37b8b39e, "screen_info" },
	{ 0x3e3af54d, "node_data" },
	{ 0x314c3709, "__folio_put" },
	{ 0xdf31b86b, "pci_rebar_get_possible_sizes" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe2672fc1, "dma_buf_attach" },
	{ 0x618911fc, "numa_node" },
	{ 0xece784c2, "rb_first" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x82efb37f, "pcie_capability_read_word" },
	{ 0x8caa8d7a, "i2c_add_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb952c672, "pci_get_class" },
	{ 0x227568b9, "cdev_add" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xf656d345, "dma_buf_detach" },
	{ 0x668b19a1, "down_read" },
	{ 0x61651be, "strcat" },
	{ 0xe25b8084, "get_task_pid" },
	{ 0xae7fcf14, "pm_vt_switch_unregister" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x8c78cf7, "offline_and_remove_memory" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xf9aa96e3, "kmalloc_caches" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x485e939, "dma_set_mask" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc6cbbc89, "capable" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x12344df5, "__pci_register_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xeef13c04, "seq_read" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x5a921311, "strncmp" },
	{ 0xbe34871e, "dma_buf_unmap_attachment" },
	{ 0xab65ed80, "set_memory_uc" },
	{ 0xcbc28b13, "remove_proc_entry" },
	{ 0x8c392670, "proc_mkdir_mode" },
	{ 0x5e0a0bb7, "pci_write_config_dword" },
	{ 0xfd8c80fe, "pcie_reset_flr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xc43b164c, "pci_read_config_dword" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x754d539c, "strlen" },
	{ 0xed9eca96, "vm_insert_page" },
	{ 0xa76072b1, "remap_pfn_range" },
	{ 0xce91c4f5, "find_vma_intersection" },
	{ 0xc18bbf41, "sg_alloc_table_from_pages_segment" },
	{ 0xce807a25, "up_write" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xe943be8b, "device_create" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xde248339, "pci_enable_device" },
	{ 0x1a457c6b, "pci_set_master" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe571a01, "pci_dev_put" },
	{ 0x41929bec, "single_release" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x39e3c030, "do_trace_read_msr" },
	{ 0x2a4851ac, "proc_create_data" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc4d0d921, "seq_lseek" },
	{ 0xc3755b7c, "pci_read_config_byte" },
	{ 0xfdab6fb2, "pci_write_config_word" },
	{ 0xbed83e6f, "dma_buf_export" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9afb3dfb, "pci_assign_unassigned_bus_resources" },
	{ 0x4263fdc5, "cc_platform_has" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xee6f94aa, "task_active_pid_ns" },
	{ 0xa6f33e5e, "iov_iter_kvec" },
	{ 0x144581c7, "dev_driver_string" },
	{ 0x85df9b6c, "strsep" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x9305f8e6, "cpufreq_get" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0xc03d30c7, "pci_request_regions" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3f5d778b, "device_property_read_u64_array" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xbe62e610, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7918d817, "memory_failure" },
	{ 0xa6257a2f, "complete" },
	{ 0xb5212e09, "pci_read_config_word" },
	{ 0xfcc1edd3, "memory_block_size_bytes" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xbbab548b, "kmem_cache_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0x5e94ec39, "set_page_dirty_lock" },
	{ 0xb6fde909, "close_fd" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x890c44, "kernel_write" },
	{ 0xfddeb056, "efi" },
	{ 0xf3839102, "pid_vnr" },
	{ 0x51f981c1, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xce3610ae, "class_create" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x93dadce2, "pci_disable_msix" },
	{ 0x999e8297, "vfree" },
	{ 0x7ba72951, "dma_set_coherent_mask" },
	{ 0x68f2b291, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xced1eaf9, "fd_install" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xfcfb550a, "param_ops_int" },
	{ 0xfcbfec70, "add_memory_driver_managed" },
	{ 0xcf2a6966, "up" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xbd465c66, "pci_disable_msi" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x5a002b51, "__put_devmap_managed_page_refs" },
	{ 0x136eb21d, "kmem_cache_create" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8fcc3d6d, "__tracepoint_mmap_lock_start_locking" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x9166fada, "strncpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0xb24687ff, "cdev_del" },
	{ 0x22a6b35, "dma_buf_map_attachment" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x1dd7e7dd, "put_pid" },
	{ 0x1eaff51f, "pci_release_regions" },
	{ 0x1000e51, "schedule" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x1cd8438b, "pxm_to_node" },
	{ 0x45c6163, "request_firmware" },
	{ 0x84eea869, "pci_bus_type" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xdce3b895, "__alloc_pages" },
	{ 0xc631580a, "console_unlock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x1e90161, "dma_unmap_resource" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1fb56ee3, "pci_enable_msi" },
	{ 0xf17565f7, "pcpu_hot" },
	{ 0xfb578fc5, "memset" },
	{ 0x7483dc59, "pci_dev_present" },
	{ 0x37417d46, "follow_pfnmap_end" },
	{ 0xfd29c1d8, "hrtimer_init" },
	{ 0xd965f68, "__dma_sync_single_for_cpu" },
	{ 0x7cebe7a9, "kthread_create_on_node" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x77358855, "iomem_resource" },
	{ 0x56e1f7d7, "is_acpi_device_node" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2a7d6c12, "class_destroy" },
	{ 0x682b1da2, "pci_resize_resource" },
	{ 0x56def6ab, "pci_enable_msix_range" },
	{ 0x11dbb1b5, "dma_ops" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x148653, "vsnprintf" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9a2e92a8, "seq_printf" },
	{ 0xe84e9349, "kthread_stop" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x53b954a2, "up_read" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xa916b694, "strnlen" },
	{ 0x394d215d, "kernel_read" },
	{ 0x7190f1aa, "__mmap_lock_do_trace_start_locking" },
	{ 0xd192e446, "seq_read_iter" },
	{ 0xde80cd09, "ioremap" },
	{ 0x137815c8, "dma_free_attrs" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0x83ea51b8, "unpin_user_page" },
	{ 0xc6d4e54c, "pci_find_capability" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xb0866bdc, "try_module_get" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x93e1988a, "pci_find_host_bridge" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x95277c43, "pci_iomap" },
	{ 0x8df8a01b, "unmap_mapping_range" },
	{ 0x6626afca, "down" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x10360cdc, "dma_map_resource" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2319f106, "pcibios_resource_to_bus" },
	{ 0x35440ab0, "pci_stop_and_remove_bus_device" },
	{ 0x47bb6caf, "fget" },
	{ 0x23bca7e9, "kmem_cache_free" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x94961283, "vunmap" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x37a0cba, "kfree" },
	{ 0x8001aba1, "filp_close" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa8706e0f, "dma_alloc_attrs" },
	{ 0x23e87125, "pci_save_state" },
	{ 0x57bc19d2, "down_write" },
	{ 0x8d269fdb, "dma_map_page_attrs" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x349cba85, "strchr" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xd6f72474, "pm_vt_switch_required" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x75871f5e, "acpi_get_next_object" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x6ed009a8, "dma_unmap_page_attrs" },
	{ 0xf4b0fef4, "__tracepoint_mmap_lock_released" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0xbbf01785, "dma_buf_get" },
	{ 0xd66abf08, "__free_pages" },
	{ 0x9242717e, "param_ops_charp" },
	{ 0xb3dee065, "dma_buf_put" },
	{ 0xf8fe7f24, "hrtimer_cancel" },
	{ 0xb807e274, "filp_open" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x7e29b803, "set_pages_array_uc" },
	{ 0x1acd9da8, "dma_map_sg_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8682615f, "follow_pfnmap_start" },
	{ 0x26882554, "pci_unregister_driver" },
	{ 0x1d084d40, "address_space_init_once" },
	{ 0x1eea883f, "vmalloc_to_page" },
	{ 0xf12dbe31, "wake_up_process" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x9b7cb4ae, "proc_remove" },
	{ 0xb29c5833, "dma_unmap_sg_attrs" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x73a7ebcc, "dma_buf_fd" },
	{ 0x63f835ba, "on_each_cpu_cond_mask" },
	{ 0xc1e787ae, "seq_puts" },
	{ 0x1dd3498c, "__tracepoint_read_msr" },
	{ 0x4bd9feb6, "pci_clear_master" },
	{ 0xc2f387d9, "i2c_del_adapter" },
	{ 0xc5ddd65f, "pin_user_pages" },
	{ 0xccc46fc3, "hv_get_isolation_type" },
	{ 0xe914e41e, "strcpy" },
	{ 0xdb85a95b, "pci_release_resource" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1e046cc, "panic" },
	{ 0xdd8d0dc9, "__mmap_lock_do_trace_released" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x1fa0eaff, "module_layout" },
};

MODULE_INFO(depends, "drm");

MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc00i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc02i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc06sc80i00*");

MODULE_INFO(srcversion, "9C27A8B290453A7640E09FB");
MODULE_INFO(rhelversion, "9.7");
